import { useEffect, useState } from "react";
import { getMe } from "../../telegram/user";
import SignIn from "component/signin";

function Home() {
  let [isSignIn, setIsSignIn] = useState(false);

  useEffect(function () {
    getMe()
      .then(function (user) {
        console.log(user);
      })
      .catch(function (error) {
        if (error.code === 401) {
          // Unauthorized
        }
        console.log(error);
      });
  }, []);

  return (
    <div>
      <div>{!isSignIn ? <SignIn /> : <div>Home</div>}</div>
    </div>
  );
}

export default Home;
